FROM dimti/workspace:7.3

###########################################################################
# Laradock non-root user:
###########################################################################

ARG CUSTOM_PUID=1000
ENV PUID ${CUSTOM_PUID}
ARG CUSTOM_PGID=1000
ENV PGID ${CUSTOM_PGID}

RUN usermod -u ${CUSTOM_PUID} laradock && groupmod -g ${CUSTOM_PGID} laradock

RUN chown -R ${CUSTOM_PUID}:${CUSTOM_PGID} /home/laradock

###########################################################################
# Set Timezone
###########################################################################

ARG CUSTOM_TZ=Europe/Moscow
ENV TZ ${CUSTOM_TZ}

RUN ln -snf /usr/share/zoneinfo/$CUSTOM_TZ /etc/localtime && echo $CUSTOM_TZ > /etc/timezone

###########################################################################
# Additional PHP-extensions:
###########################################################################

RUN pecl install -a redis

RUN echo "extension=redis.so" > /etc/php/7.3/cli/conf.d/20-redis.ini

###########################################################################
# S3 config
###########################################################################

USER laradock

COPY ./minio/auth.json /home/laradock/.mc/config.json

###########################################################################
# Crontab
###########################################################################

USER root

COPY ./crontab73 /etc/cron.d

RUN chmod -R 644 /etc/cron.d
