FROM dimti/workspace:7.4

###########################################################################
# Laradock non-root user:
###########################################################################

ARG CUSTOM_PUID=1000
ENV PUID ${CUSTOM_PUID}
ARG CUSTOM_PGID=1000
ENV PGID ${CUSTOM_PGID}

RUN usermod -u ${CUSTOM_PUID} laradock && groupmod -g ${CUSTOM_PGID} laradock

RUN chown -R ${CUSTOM_PUID}:${CUSTOM_PGID} /home/laradock

###########################################################################
# Set Timezone
###########################################################################

ARG CUSTOM_TZ=Europe/Moscow
ENV TZ ${CUSTOM_TZ}

RUN ln -snf /usr/share/zoneinfo/$CUSTOM_TZ /etc/localtime && echo $CUSTOM_TZ > /etc/timezone

###########################################################################
# Additional PHP-extensions:
###########################################################################

#RUN pecl install igbinary && pecl install -a redis
RUN pecl install -a redis

RUN echo "extension=redis.so" > /etc/php/7.4/cli/conf.d/20-redis.ini

###########################################################################
# S3 config
###########################################################################

USER laradock

COPY ./minio/auth.json /home/laradock/.mc/config.json

###########################################################################
# Crontab
###########################################################################

USER root

COPY ./crontab74 /etc/cron.d

RUN chmod -R 644 /etc/cron.d

###########################################################################
# Install custom node version
###########################################################################

USER root

ARG CUSTOM_NODE_VERSION
ENV CUSTOM_NODE_VERSION ${CUSTOM_NODE_VERSION}

RUN if [ ${CUSTOM_NODE_VERSION} = true ]; then \
    . ~/.bashrc && nvm install lts/erbium \
    && . ~/.bashrc && nvm alias default lts/erbium \
    && cp -R ~/.nvm/alias /home/laradock/.nvm \
    && cp -R ~/.nvm/versions /home/laradock/.nvm \
    && chown -R ${CUSTOM_PUID}:${CUSTOM_PGID} /home/laradock/.nvm \
;fi